Subject: bug#2000 closed by Glenn Morris <[email-masked]> (Re: bug#2000: 23.0.60; Rmail mode totally broken)

From: [email-masked] (Emacs bug Tracking System)
Date: Wed, 28 Jan 2009 03:00:04 +0000

This is an automatic notification regarding your bug report
which was filed against the emacs,rmail package:

#2000: 23.0.60; Rmail mode totally broken

It has been closed by Glenn Morris <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Glenn Morris <[email-masked]> by
replying to this email.

-- 
2000: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=2000
Emacs Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#2000: 23.0.60; Rmail mode totally broken
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Tue, 27 Jan 2009 21:49:20 -0500

Closing this because the specific issue has been addressed. If
necessary, please open new bug(s) with concise, complete descriptions
of any remaining rmail issues.

Subject: 23.0.60; Rmail mode totally broken
From: jpff <[email-masked]>
To: [email-masked]
Date: Fri, 23 Jan 2009 10:05:26 +0000

This morning after updating from the CVS I cannot read any RMAIL file

File mode specification error: (wrong-type-argument stringp nil)

I am seeing messages about writing to /tmp/rmailXXX that I have not
seen before.  This happens on a number of RMAIL files I have, large or
small.

In GNU Emacs 23.0.60.10 (i686-pc-linux-gnu, GTK+ Version 2.12.0)
 of 2009-01-23 on cardew
Windowing system distributor `The X.Org Foundation', version 11.0.70200000
Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_GB.UTF-8
  value of $XMODIFIERS: @im=local
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: Lisp Interaction

Minor modes in effect:
  eldoc-mode: t
  auto-image-file-mode: t
  show-paren-mode: t
  display-time-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
<help-echo> <help-echo> C-x C-f R M A <tab> <return> 
y q C-x C-b <down> <down> <down> <down> <down> <return> 
<down> <down> C-v C-v C-v C-v C-v C-v M-x r m a i l 
- m o d e <return> q C-x 1 <escape> > <down-mouse-1> 
<mouse-1> <prior> <prior> <prior> <prior> <prior> <prior> 
<prior> <prior> <prior> <prior> <prior> <prior> <prior> 
<prior> <prior> <prior> <escape> < C-s d e l e t e 
d C-s C-s C-s C-s C-s C-s C-s C-s C-s C-s C-s C-s C-s 
C-s C-s C-s C-s , C-s C-s C-s C-s C-s <mouse-1> <mouse-1> 
<mouse-1> <mouse-1> <mouse-1> <mouse-1> <mouse-1> <mouse-1> 
<mouse-1> <mouse-1> <mouse-1> <mouse-1> <mouse-1> <mouse-1> 
<mouse-1> <mouse-1> <down-mouse-1> <mouse-1> <down> 
<down> <down> <down> <down> <down> <down> <down> <down> 
<down> <down> <left> <escape> SPC <escape> < C-x C-x 
C-x C-x M-x w r SPC r <return> R R 1 <return> M-x t 
o g g l e <tab> r e <tab> <return> <down> <down> <down> 
<down> <down> <down> <down> <down> <down> <down> <down> 
<down> <down> <right> C-x C-x C-x C-x C-w C-x C-w R 
R 2 <return> C-x k <return> C-x C-f R R 1 <return> 
q C-x C-f R R 2 <return> q M-m C-g C-x k <return> C-x 
C-f J u n k y <return> C-x k <return> M-m C-g C-x k 
<return> M-x e m a c s - b <tab> C-c C-c M-x r e p 
<tab> o <tab> r <tab> <return>

Recent messages:
Parsing /home/jpff/.mailrc... done
Quit
Wrote /tmp/rmail11248XPA
Writing messages to /tmp/rmail11248kZG...done
Replacing BABYL format with mbox format...
Entering debugger...
Quit
call-interactively: Symbol's function definition is void: elisp-compile-defun
Quit
Making completion list... [2 times]

==John ffitch